Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ResultSet.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ResultSet.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ResultSetOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ResultSet

    public static final class ClientWireProtocol.ResultSet.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>
    implements ClientWireProtocol.ResultSetOrBuilder

Protobuf type `xg.cmdcomp.ResultSet`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.ResultSet.Builder` | `addAllBlobLengths​(Iterable<? extends Integer> values)` | `repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder` | `addAllBlobs​(Iterable<? extends com.google.protobuf.ByteString> values)` | `repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder` | `addBlobLengths​(int value)` | `repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder` | `addBlobs​(com.google.protobuf.ByteString value)` | `repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ResultSet` | `build()` |
`ClientWireProtocol.ResultSet` | `buildPartial()` |
`ClientWireProtocol.ResultSet.Builder` | `clear()` |
`ClientWireProtocol.ResultSet.Builder` | `clearBlobLengths()` | `repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder` | `clearBlobs()` | `repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.ResultSet.Builder` | `clearNumParts()` | `int32 numParts = 1;`
`ClientWireProtocol.ResultSet.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.ResultSet.Builder` | `clone()` |
`int` | `getBlobLengths​(int index)` | `repeated int32 blobLengths = 2;`
`int` | `getBlobLengthsCount()` | `repeated int32 blobLengths = 2;`
`List<Integer>` | `getBlobLengthsList()` | `repeated int32 blobLengths = 2;`
`com.google.protobuf.ByteString` | `getBlobs​(int index)` | `repeated bytes blobs = 3;`
`int` | `getBlobsCount()` | `repeated bytes blobs = 3;`
`List<com.google.protobuf.ByteString>` | `getBlobsList()` | `repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`int` | `getNumParts()` | `int32 numParts = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.ResultSet.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.ResultSet.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.ResultSet.Builder` | `mergeFrom​(ClientWireProtocol.ResultSet other)` |
`ClientWireProtocol.ResultSet.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.ResultSet.Builder` | `setBlobLengths​(int index, int value)` | `repeated int32 blobLengths = 2;`
`ClientWireProtocol.ResultSet.Builder` | `setBlobs​(int index, com.google.protobuf.ByteString value)` | `repeated bytes blobs = 3;`
`ClientWireProtocol.ResultSet.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ResultSet.Builder` | `setNumParts​(int value)` | `int32 numParts = 1;`
`ClientWireProtocol.ResultSet.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.ResultSet.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### clear

public ClientWireProtocol.ResultSet.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ResultSet getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ResultSet build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ResultSet buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.ResultSet.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### setField

public ClientWireProtocol.ResultSet.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### clearField

public ClientWireProtocol.ResultSet.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### clearOneof

public ClientWireProtocol.ResultSet.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### setRepeatedField

public ClientWireProtocol.ResultSet.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### addRepeatedField

public ClientWireProtocol.ResultSet.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### mergeFrom

public ClientWireProtocol.ResultSet.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ResultSet.Builder>`

### mergeFrom

public ClientWireProtocol.ResultSet.Builder mergeFrom​(ClientWireProtocol.ResultSet other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### mergeFrom

public ClientWireProtocol.ResultSet.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ResultSet.Builder>`
Throws:
  `IOException`

### getNumParts

public int getNumParts()
`int32 numParts = 1;`

Specified by:
  `getNumParts` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The numParts.

### setNumParts

public ClientWireProtocol.ResultSet.Builder setNumParts​(int value)
`int32 numParts = 1;`

Parameters:
  `value` - The numParts to set.
Returns:
  This builder for chaining.

### clearNumParts

public ClientWireProtocol.ResultSet.Builder clearNumParts()
`int32 numParts = 1;`

Returns:
  This builder for chaining.

### getBlobLengthsList

public List<Integer> getBlobLengthsList()
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengthsList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the blobLengths.

### getBlobLengthsCount

public int getBlobLengthsCount()
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengthsCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of blobLengths.

### getBlobLengths

public int getBlobLengths​(int index)
`repeated int32 blobLengths = 2;`

Specified by:
  `getBlobLengths` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The blobLengths at the given index.

### setBlobLengths

public ClientWireProtocol.ResultSet.Builder setBlobLengths​(int index, int value)
`repeated int32 blobLengths = 2;`

Parameters:
  `index` - The index to set the value at.
  `value` - The blobLengths to set.
Returns:
  This builder for chaining.

### addBlobLengths

public ClientWireProtocol.ResultSet.Builder addBlobLengths​(int value)
`repeated int32 blobLengths = 2;`

Parameters:
  `value` - The blobLengths to add.
Returns:
  This builder for chaining.

### addAllBlobLengths

public ClientWireProtocol.ResultSet.Builder addAllBlobLengths​(Iterable<? extends Integer> values)
`repeated int32 blobLengths = 2;`

Parameters:
  `values` - The blobLengths to add.
Returns:
  This builder for chaining.

### clearBlobLengths

public ClientWireProtocol.ResultSet.Builder clearBlobLengths()
`repeated int32 blobLengths = 2;`

Returns:
  This builder for chaining.

### getBlobsList

public List<com.google.protobuf.ByteString> getBlobsList()
`repeated bytes blobs = 3;`

Specified by:
  `getBlobsList` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  A list containing the blobs.

### getBlobsCount

public int getBlobsCount()
`repeated bytes blobs = 3;`

Specified by:
  `getBlobsCount` in interface `ClientWireProtocol.ResultSetOrBuilder`
Returns:
  The count of blobs.

### getBlobs

public com.google.protobuf.ByteString getBlobs​(int index)
`repeated bytes blobs = 3;`

Specified by:
  `getBlobs` in interface `ClientWireProtocol.ResultSetOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The blobs at the given index.

### setBlobs

public ClientWireProtocol.ResultSet.Builder setBlobs​(int index, com.google.protobuf.ByteString value)
`repeated bytes blobs = 3;`

Parameters:
  `index` - The index to set the value at.
  `value` - The blobs to set.
Returns:
  This builder for chaining.

### addBlobs

public ClientWireProtocol.ResultSet.Builder addBlobs​(com.google.protobuf.ByteString value)
`repeated bytes blobs = 3;`

Parameters:
  `value` - The blobs to add.
Returns:
  This builder for chaining.

### addAllBlobs

public ClientWireProtocol.ResultSet.Builder addAllBlobs​(Iterable<? extends com.google.protobuf.ByteString> values)
`repeated bytes blobs = 3;`

Parameters:
  `values` - The blobs to add.
Returns:
  This builder for chaining.

### clearBlobs

public ClientWireProtocol.ResultSet.Builder clearBlobs()
`repeated bytes blobs = 3;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.ResultSet.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ResultSet.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ResultSet.Builder>`